<?php
/**
 * Giscuit
 *
 * @version    $Id: File.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2012 VEC
 *
 */

/**
 * @see Zend_Form_Element_Text
 */
//require_once 'Zend/Form/Element/Text.php';

/**
 * File element
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2012 VEC
 *
 */
class Giscuit_Form_Element_File extends Zend_Form_Element_File
{
    /**
     * Default form view helper to use for rendering
     * @var string
     */
    public $helper = 'formFile';

    /**
     * Set element value
     *
     * @param  mixed $value
     * @return Zend_Form_Element
     */
    public function setValue($value)
    {
        $this->setAttrib('data-file-id', $value);
        return $this;
    }
}