<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: WcsController.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Default
 * @copyright  Copyright (c) 2012 VEC
 */

class WcsController extends Giscuit_Controller_Ows
{
    
    protected function _parseLayerOptions(array $options)
    {
        //
        $action = Zend_Controller_Front::getInstance()->getRequest()->getActionName();
        if($action == 'public') {
            $options['whereWcsPublic'] = 't';
        }
        if($action == 'private') {
            $options['whereWcsPrivate'] = 't';
        }
        
        return $options;
    }
       
    protected function _parseRequest($request)
    {
        $request->setParameter('SERVICE', 'WCS');
    }

}

