<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id$
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Mobile
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see ChpassController
 */
require_once GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'controllers' . DIR_SEP . 'ChpassController.php';

class Mobile_ChpassController extends ChpassController
{

    public function getForm ()
    {
        $form = new Giscuit_Form_Chpass();
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() , 
            'module' => 'mobile' ,
            'controller' => 'chpass' ,
            'action' => 'index'
        ), null, true);
        $form->setAction($action);
        
        return $form;
    }

    
}