<?php
function ioncube_event_handler($err_code, $params) 
{
    
    $license = file_get_contents(dirname(__FILE__) . DIRECTORY_SEPARATOR . "license");
    if (empty($license)) {
        die("<h2>No license found</h2>");
    }

    switch ($err_code)
    {
    case ION_CORRUPT_FILE:
        echo "<h2>Error: Corrupt file</h2>";
    break;
    case ION_EXPIRED_FILE:
        echo "<h2>Expired file</h2>";
    break;
    case ION_NO_PERMISSIONS:
        echo "<h2>No permissions</h2>";
    break;
    case ION_CLOCK_SKEW:
        echo "<h2>Clock skew</h2>";
    break;
    case ION_UNTRUSTED_EXTENSION:
        echo "<h2>Untrusted extension</h2>";
    break;
    case ION_LICENSE_NOT_FOUND:
        echo "<h2>License not found</h2>";
    break;
    case ION_LICENSE_CORRUPT:
        echo "<h2>License corrupt</h2>";
    break;
    case ION_LICENSE_EXPIRED:
        echo "<h2>License expired</h2>";
    break;
    case ION_LICENSE_PROPERTY_INVALID:
        echo "<h2>License property invalid</h2>";
    break;
    case ION_LICENSE_HEADER_INVALID:
        echo "<h2>License header invalid</h2>";
    break;
    case ION_LICENSE_SERVER_INVALID:
        echo "<h2>License server invalid</h2>";
    break;
    case ION_UNAUTH_INCLUDING_FILE:
        echo "<h2>Unauthorized including of file</h2>";
    break;
    case ION_UNAUTH_INCLUDED_FILE:
        echo "<h2>Unauthorized included file</h2>";
    break;
    case ION_UNAUTH_APPEND_PREPEND_FILE:
        echo "<h2>Unauthorized appending/prepending file</h2>";
    break;
    default:
        echo "<h2>Uncaught error</h2>";
    }
    die();
}
?>